<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/main_bg_color"
    android:paddingTop="34dp"
    tools:context="com.free.video.wallpaper.uipage.PageFavorite">

    <ImageView
        android:id="@+id/iv_back"
        android:layout_width="40dp"
        android:layout_height="40dp"
        android:padding="9dp"
        android:layout_marginStart="12dp"
        android:src="@drawable/im_white_back" />

    <com.free.video.wallpaper.helper.MyText
        android:id="@+id/title"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignTop="@id/iv_back"
        android:layout_alignBottom="@id/iv_back"
        android:layout_centerHorizontal="true"
        android:text="@string/tab_Favorites"
        android:gravity="center"
        android:textColor="@color/title_color"
        android:textSize="18sp" />

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/recycler"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="10dp"
        android:layout_below="@id/title" />

    <LinearLayout
        android:id="@+id/layout_empty"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_centerInParent="true"
        android:gravity="center"
        android:orientation="vertical">

        <ImageView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:src="@drawable/im_empty" />

        <com.free.video.wallpaper.helper.MyText
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="20dp"
            android:layout_marginTop="16dp"
            android:layout_marginEnd="20dp"
            android:text="@string/empty_favorite_describe"
            android:textColor="@color/hint_text_color"
            android:textSize="14sp" />
    </LinearLayout>

</RelativeLayout>